/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<delegatetype.h>)
#  include <delegatetype.h>
#endif
#if __has_include(<mediamessagefiltermodel.h>)
#  include <mediamessagefiltermodel.h>
#endif
#if __has_include(<messageattached.h>)
#  include <messageattached.h>
#endif
#if __has_include(<messagecontentfiltermodel.h>)
#  include <messagecontentfiltermodel.h>
#endif
#if __has_include(<messagedelegate.h>)
#  include <messagedelegate.h>
#endif
#if __has_include(<messagefiltermodel.h>)
#  include <messagefiltermodel.h>
#endif
#if __has_include(<messagemodel.h>)
#  include <messagemodel.h>
#endif
#if __has_include(<pinnedmessagemodel.h>)
#  include <pinnedmessagemodel.h>
#endif
#if __has_include(<readmarkermodel.h>)
#  include <readmarkermodel.h>
#endif
#if __has_include(<searchmodel.h>)
#  include <searchmodel.h>
#endif
#if __has_include(<timelinedelegate.h>)
#  include <timelinedelegate.h>
#endif
#if __has_include(<timelinemessagemodel.h>)
#  include <timelinemessagemodel.h>
#endif
#if __has_include(<timelinemodel.h>)
#  include <timelinemodel.h>
#endif
#if __has_include(<webshortcutmodel.h>)
#  include <webshortcutmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_timeline()
{
    qmlRegisterModule("org.kde.neochat.timeline", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<DelegateType>("org.kde.neochat.timeline", 254);
    qmlRegisterEnum<DelegateType::Type>("DelegateType::Type");
    qmlRegisterTypesAndRevisions<MediaMessageFilterModel>("org.kde.neochat.timeline", 254);
    qmlRegisterEnum<MediaMessageFilterModel::MediaType>("MediaMessageFilterModel::MediaType");
    qmlRegisterEnum<MediaMessageFilterModel::Roles>("MediaMessageFilterModel::Roles");
    qmlRegisterTypesAndRevisions<MessageAttached>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<MessageContentFilterModel>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<MessageDelegateBase>("org.kde.neochat.timeline", 254);
    qmlRegisterAnonymousType<QQuickItem, 254>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<MessageFilterModel>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<MessageModel>("org.kde.neochat.timeline", 254);
    qmlRegisterEnum<MessageModel::EventRoles>("MessageModel::EventRoles");
    qmlRegisterTypesAndRevisions<PinnedMessageModel>("org.kde.neochat.timeline", 254);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QConcatenateTablesProxyModel *>().id();
    QMetaType::fromType<QQuickAttachedPropertyPropagator *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<ReadMarkerModel>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<SearchModel>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<TimelineBeginningModel>("org.kde.neochat.timeline", 254);
    qmlRegisterEnum<TimelineBeginningModel::Roles>("TimelineBeginningModel::Roles");
    qmlRegisterTypesAndRevisions<TimelineDelegate>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<TimelineEndModel>("org.kde.neochat.timeline", 254);
    qmlRegisterEnum<TimelineEndModel::Roles>("TimelineEndModel::Roles");
    qmlRegisterTypesAndRevisions<TimelineMessageModel>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<TimelineModel>("org.kde.neochat.timeline", 254);
    qmlRegisterTypesAndRevisions<WebShortcutModel>("org.kde.neochat.timeline", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.timeline", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochattimelineRegistration("org.kde.neochat.timeline", qml_register_types_org_kde_neochat_timeline);
